# -*- coding: utf-8 -*-
"""
Created on Thu Oct  8 17:09:21 2020

@author: koenv
"""
#import os
#os.chdir(r'C:\Users\koenv\OneDrive - WageningenUR\PHD onedrive\3. Data\Bioreactors parameters\Python')
#os.getcwd()

import pandas as pd
#import matplotlib
import matplotlib.pyplot as plt
import numpy as np
#import string

fn = 'Bardata.xlsx'
xl = pd.ExcelFile(fn)
sns = xl.sheet_names
colors = ['C0', 'C1', 'C7']


j=0
for sn in sns:
    # read data
    data = pd.read_excel(fn, sheet_name=sn, header=[0,1], index_col=0)
    pars = list(data.head()['Average'])
    reactors = list(data.index)
    labels = reactors
    
    #set x axis
    x = np.arange(len(labels))  # the label locations
    width = 0.2  # the width of the bars
    
    # make plot
    fig, ax = plt.subplots()
    i = 0
    for par in pars:
        height = data['Average'][par]
        error = data['STD'][par]
        plt.bar(x - width + i*width, height, width, label=par, yerr=error, capsize=5, color=colors[i])
        i += 1
    
    # make up
    plt.rc('font', size=15)
    plt.ylabel('Effluent organic matter removal (%)')
    plt.ylim(0, 100)
#    plt.title(string.ascii_uppercase[j], y=0.9)
#    plt.xlabel('Bioreactor')
    plt.xticks(x, labels)
#    plt.xticks(rotation=45)
    plt.legend()
    j += 1
    
    
    fig.tight_layout()
    plt.show()
    
    fignname = str(sn) + ' bar chart.jpg'
    fig.savefig(fignname)


#savefig(fname, dpi=None, facecolor='w', edgecolor='w',
#        orientation='portrait', papertype=None, format=None,
#        transparent=False, bbox_inches=None, pad_inches=0.1,
#        frameon=None, metadata=None)
